package com.ahazou.photo_editor_sdk.utils

import android.app.Activity
import android.net.Uri
import androidx.annotation.AnyRes
import com.ahazou.photo_editor_sdk.PhotoEditorSdkPlugin
import com.bumptech.glide.Glide
import com.bumptech.glide.load.DataSource
import com.bumptech.glide.load.engine.GlideException
import com.bumptech.glide.request.RequestListener
import com.bumptech.glide.request.target.Target
import ly.img.android.pesdk.backend.decoder.Decoder
import ly.img.android.pesdk.backend.model.config.ImageStickerAsset
import java.io.File
import java.util.ArrayList

class Utils {

    companion object {
        fun retrieveAssets(list: ArrayList<*>, activity: Activity): ArrayList<CustomImageStickerAsset> {
            val result = ArrayList<CustomImageStickerAsset>()
            list.forEach {
                Glide.with(activity).asFile().load(it)
                        .listener(object : RequestListener<File> {
                            override fun onLoadFailed(e: GlideException?, model: Any?, target: Target<File>?,
                                                      isFirstResource: Boolean): Boolean {
                                return false
                            }

                            override fun onResourceReady(resource: File?, model: Any?, target: Target<File>?,
                                                         dataSource: DataSource?, isFirstResource: Boolean): Boolean {
                                val uri = Uri.fromFile(resource)
                                val imageStickerConfig =
                                        ImageStickerAsset.createTemporaryStickerAsset(uri)
                                result.add(CustomImageStickerAsset(imageStickerConfig, uri))
                                return false
                            }
                        })
                        .submit()
            }
            return result
        }

        fun getResourceImage(@AnyRes resourceId: Int, activity: Activity) : Uri
                = Decoder.resourceToUri(activity.resources, resourceId)

    }
}